# SolrQuery::setHighlightSnippets

(PECL solr >= 0.9.2)

SolrQuery::setHighlightSnippets — Sets the maximum number of highlighted snippets to generate per field

### 说明

public SolrQuery::setHighlightSnippets(int `$value`, string `$field_override` = ?): SolrQuery

Sets the maximum number of highlighted snippets to generate per field

### 参数

`value`

  The maximum number of highlighted snippets to generate per field

`field_override`

  The name of the field.

### 返回值

Returns the current SolrQuery object, if the return value is used.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open